import { promises as fs } from "fs";
import * as util from "../util";
import * as path from "path";

export default async function copy() {
	util.write("favicon.ico", await fs.readFile("site/favicon.ico"));
	util.write("favicon-152.png", await fs.readFile("site/favicon-152.png"));
	util.write("shadowfacts.png", await fs.readFile("site/shadowfacts.png"));
	util.write("js/comments.js", await fs.readFile("site/js/comments.js"));

	// copy images
	const dirs = await fs.readdir("site/img");
	for (const dir of dirs) {
		const imgs = await fs.readdir(path.join("site/img", dir));
		for (const img of imgs) {
			util.write(path.join("img", dir, img), await fs.readFile(path.join("site/img", dir, img)));
		}
	}
}
